#include <stdio.h>
#include <stdlib.h>
enum { N = 5 };

void print_ptr(int*, int);
void print_array(int[N], int);

int main(void) {
	int arr[N];
	for (int i = 0; i < N; i++) arr[i] = 2 * i;

	printf("sizeof(arr) = %zu\n", sizeof(arr));
	printf("sizeof(arr) / sizeof(int) = %zu\n", sizeof(arr) / sizeof(int));
	printf("\n");

	print_ptr(arr, N);
	print_array(arr, N);

	return EXIT_SUCCESS;
}

void print_ptr(int *t, int n) {
	printf("print_ptr(int *t)\n");
	printf("sizeof(t) = %zu\n", sizeof(t));
	for (int i = 0; i < n; i++)
		printf("%d ", t[i]);
	printf("\n\n");
}

void print_array(int t[N], int n) {
	printf("print_array(int t[N])\n");
	printf("sizeof(t) = %zu\n", sizeof(t));
	for (int i = 0; i < n; i++)
		printf("%d ", t[i]);
	printf("\n\n");
}
