#include <stdio.h>
#include "../includes/allocation.h"

int global_var = 1;

int main(void) {
	static int static_var = 1;	//	static
	int local_var = 10;
	int* dynamic_var = allocate(1000 * sizeof(int));

	printf("local_var (stack):    %p\n", &local_var);
	printf("dynamic_var (heap):   %p\n", dynamic_var);
	printf("static_var:           %p\n", &static_var);
	printf("global_var:           %p\n", &global_var);

	free(dynamic_var);

	return EXIT_SUCCESS;
}

