#include <time.h>
#include "../includes/prompt_and_read.h"

void print_ptr(int*, int);

int main(void) {

	srand48(time(0));

	int n = prompt_and_read_int("Enter n");
	int array[n];
	for (int i = 0; i < n; i++) {
		array[i] = (int) (lrand48() % 100);
	}

	printf("sizeof(array) = %zu\n", sizeof(array));
	printf("sizeof(array) / sizeof(int) = %zu\n", sizeof(array) / sizeof(int));
	printf("\n");

	print_ptr(array, n);

	return EXIT_SUCCESS;
}

void print_ptr(int* t, int n) {
	printf("print_ptr(int *t)\n");
	printf("sizeof(t) = %zu\n", sizeof(t));
	for (int i = 0; i < n; i++)
		printf("%d ", t[i]);
	printf("\n\n");
}

